Skip to main content
DELETE
/
crawl
/
{id}
Cancel a crawl
curl --request DELETE \
  --url https://api.beecrawl.dev/crawl/{id} \
  --header 'X-Web-Extract-Api-Key: <api-key>'
import requests

url = "https://api.beecrawl.dev/crawl/{id}"

headers = {"X-Web-Extract-Api-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-Web-Extract-Api-Key': '<api-key>'}};

fetch('https://api.beecrawl.dev/crawl/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "url": "<string>",
  "status": "<string>",
  "total": 123,
  "completed": 123,
  "failed": 123,
  "data": [
    {
      "request_id": "<string>",
      "url": "<string>",
      "final_url": "<string>",
      "markdown": "<string>",
      "metadata": {
        "title": "<string>",
        "language": "<string>",
        "status_code": 123,
        "provider": "<string>",
        "rendered": true,
        "elapsed_ms": 123
      },
      "html": "<string>",
      "rawHtml": "<string>",
      "links": [
        "<string>"
      ],
      "screenshot": "<string>"
    }
  ],
  "errors": [
    {
      "url": "<string>",
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "pagination": {
    "offset": 123,
    "limit": 123,
    "total": 123,
    "next": 123
  }
}

Authorizations

X-Web-Extract-Api-Key
string
header
required

API key. X-Api-Key and Bearer authentication are also accepted.

Path Parameters

id
string
required

Response

200 - application/json

Updated crawl status.

id
string
url
string<uri>
status
string
total
integer
completed
integer
failed
integer
data
object[]
errors
object[]
pagination
object